%define url ftp://ftp.kernel.org/pub/linux/utils/kernel/hotplug
%define tarname %{name}-%{version}
%define kernel_rel 2.6.2-2mdk
%define kernel_dir /usr/src/linux-%{kernel_rel}
%define kernel_dir /usr/src/linux

%define use_klibc 1

%{?_without_klibc:	%{expand: %%global use_klibc 0}}

%{?_with_klibc:		%{expand: %%global use_klibc 1}}

Name: 		udev
Version: 	054
Release: 	6mdk
License: 	GPL
Summary: 	A userspace implementation of devfs
Group:		System/Configuration/Hardware
URL:		%{url}
Source: 	%{url}/%{tarname}.tar.bz2
Source2:	udev.rules.bz2
Source5:	udev.dvb-scripts.bz2
Source6:	udev-migrating-devfs-rules.pl
Source7:	udev.init.bz2
Source8:	udev-links.conf.bz2
Source9:    udev.dxr3.event.bz2
Source10:	scsi-devfs.sh.bz2
Patch4:		udev-053_ide-devfs.sh.patch.bz2
Patch20:	udev044_clean_klibc_deps.patch.bz2
Patch22:	udev-030-nolog.patch.bz2
Patch23:	udev-044-includes.patch.bz2
Patch26:	udev-050-fix-console-lock.patch.bz2
Patch27:	udev-053-missing-cdrom0.patch.bz2
Patch28:	udev-053-cdrom-0-instead-of-1.patch.bz2
Patch30:	udev-054-ide-model.patch.bz2
Patch31:	udev-054-dvd-burners.patch.bz2
Patch32:	udev-054-cdrom-info-parsing.patch.bz2
#Conflicts:  devfsd
Conflicts:	sound-scripts < 0.13-1mdk
Prereq: 	/bin/sh, fileutils, hotplug, rpm-helper
Requires: 	kernel >= 2.6.0
%if %use_klibc
BuildRequires:	kernel-source = %{kernel_rel}
Obsoletes: %{name}-klibc
Provides: %{name}-klibc
%endif
BuildRequires:	glibc-static-devel
BuildRequires:	libsysfs-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build

%description
Udev is an implementation of devfs/devfsd in userspace using sysfs and
/sbin/hotplug. It requires a 2.6 kernel to run properly.

Like devfs, udev dynamically creates and removes device nodes from /dev/.
It responds to /sbin/hotplug device events.

#%package	klibc
#Summary:	Udev klibc binaries
#Group:		System/Configuration/Hardware
#Requires:	%{name} = %{version}-%{release}
#%description	klibc
#The tools compiled against klibc for use in initial ramdisk.
#
#Note that this package contains only the binaries,
#the confguration files are included in the base package.

%prep
%setup -q
# help vi/gendiff:
find -type f | xargs chmod u+rw
%patch4 -p1 -b .ide
%patch20 -p1 -b .clean_klibc_deps
%patch22 -p1 -b .nolog
%patch23 -p1 -b .includes
%patch26 -p1 -b .pam
%patch27 -p1 -b .cdrom0
%patch28 -p1 -b .cdrom_1_0
%patch30 -p1 -b .ide_model
%patch31 -p1 -b .dvd
%patch32 -p1 -b .parsing
bzcat %SOURCE10 > extras/scsi-devfs.sh

perl -pi -e 's!/usr/local/bin/!/etc/udev/rules.d/!' extras/chassis_id/table.c 
perl -pi -e 's!/usr/local/bin/chassis_id!/sbin/chassis_id!' extras/chassis_id/README 
perl -pi -e 's!/usr/local/bin!/etc/udev/rules.d!' extras/chassis_id/README 

%build
%if %use_klibc
make KERNEL_DIR=%{kernel_dir} LINUX_INCLUDE_DIR=%{_includedir} USE_KLIBC=true USE_LOG=false
install -m 755 udev udev-klibc 
ln -s udev-klibc udevstart-klibc
%make clean
%endif

make EXTRAS="extras/scsi_id extras/volume_id/ extras/chassis_id/" udevdir=/dev
make -C extras cdsymlinks

%install
rm -rf $RPM_BUILD_ROOT
%make DESTDIR=$RPM_BUILD_ROOT install udevdir=/dev

%if %use_klibc
install -m 755 udev-klibc $RPM_BUILD_ROOT/sbin/
install        udevstart-klibc $RPM_BUILD_ROOT/sbin/
install -m 755 %SOURCE6 $RPM_BUILD_ROOT/sbin/
%endif

# init script
rm -rf $RPM_BUILD_ROOT/etc/init.d
install -d $RPM_BUILD_ROOT/%{_initrddir}/
bzcat %SOURCE7 > etc/init.d/udev
install -m 755 etc/init.d/udev $RPM_BUILD_ROOT/%{_initrddir}/

install -d $RPM_BUILD_ROOT/%{_sysconfdir}/dev.d/default
install -m 755 etc/dev.d/default/pam_console.dev $RPM_BUILD_ROOT/%{_sysconfdir}/dev.d/default

# scsi_id
install -m 755 extras/scsi_id/scsi_id $RPM_BUILD_ROOT/sbin/
install -m 644 extras/scsi_id/scsi_id.config $RPM_BUILD_ROOT/etc/
install -m 644 extras/scsi_id/scsi_id.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
#scsi_id docs
install -m 644 extras/scsi_id/ChangeLog ChangeLog.scsi_id
install -m 644 extras/scsi_id/README README.scsi_id
install -m 644 extras/scsi_id/TODO TODO.scsi_id
install -m 644 extras/scsi_id/release-notes release-notes.scsi_id

install -m 755 extras/chassis_id/chassis_id $RPM_BUILD_ROOT/sbin/
install -m 644 extras/chassis_id/provision.tbl $RPM_BUILD_ROOT/etc/udev/rules.d/
install -m 644 extras/chassis_id/README README.chassis_id

#install -m 755 extras/volume_id/udev_volume_id $RPM_BUILD_ROOT/sbin/
# we do not support s390:
#install -m 644 extras/volume_id/s390-dasd.rules $RPM_BUILD_ROOT/etc/udev/rules.d/
install -m 644 extras/volume_id/README README.udev_volume_id

rm -f $RPM_BUILD_ROOT/etc/%{name}/udev.rules.devfs

rm -f $RPM_BUILD_ROOT/etc/%{name}/rules.d/50-udev.rules
bzcat %SOURCE2 > 50-mdk.rules
install -m 644 50-mdk.rules $RPM_BUILD_ROOT/etc/%{name}/rules.d/50-mdk.rules

install -d $RPM_BUILD_ROOT/etc/%{name}/scripts
install -m 755  extras/ide-model.sh $RPM_BUILD_ROOT/etc/%{name}/scripts/
install -m 755  extras/ide-devfs.sh $RPM_BUILD_ROOT/etc/%{name}/scripts/
install -m 755  extras/scsi-devfs.sh $RPM_BUILD_ROOT/etc/%{name}/scripts/
install -m 755  extras/start_udev $RPM_BUILD_ROOT/etc/%{name}/scripts/
install -m 755  extras/raid-devfs.sh $RPM_BUILD_ROOT/etc/%{name}/scripts/
install -m 755  extras/scsi_id/gen_scsi_id_udev_rules.sh $RPM_BUILD_ROOT/etc/%{name}/scripts/
install -m 755  extras/inputdev.sh $RPM_BUILD_ROOT/etc/%{name}/scripts/
install -m 755  extras/cdsymlinks.sh $RPM_BUILD_ROOT/etc/%{name}/scripts/
install -m 644  extras/cdsymlinks.conf $RPM_BUILD_ROOT/etc/%{name}/

bzcat %SOURCE8 > links.conf
install -m 644  links.conf $RPM_BUILD_ROOT/etc/%{name}/

# dxr3 support:
bzcat %SOURCE9 > dxr3.dev
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/dev.d/dxr3/
install -m 755 dxr3.dev $RPM_BUILD_ROOT/%{_sysconfdir}/dev.d/dxr3/default.dev

bzcat %SOURCE5 > $RPM_BUILD_ROOT%_sysconfdir/udev/scripts/dvb.sh

install -m 755 extras/cdsymlinks $RPM_BUILD_ROOT/sbin/

%clean
rm -rf $RPM_BUILD_ROOT


%post
if [[ $1 = 1 ]]; then
	# always convert old devfs rules since drakx doesn't handle /dev/modem and the like:
	/sbin/udev-migrating-devfs-rules.pl
fi
%_post_service %name
%_post_service syslog

%triggerpostun -- udev < 030-22mdk
# always convert old devfs rules since drakx doesn't handle /dev/modem and the like:
/sbin/udev-migrating-devfs-rules.pl
:


%preun
%_preun_service %name

%files
%defattr(0644,root,root,0755)
%doc COPYING README README.* TODO ChangeLog ChangeLog.* release-notes.scsi_id
%doc docs/overview docs/udev-OLS2003.pdf docs/udev_vs_devfs docs/libsysfs.txt  TODO.scsi_id 
%doc docs/RFC-dev.d docs/writing_udev_rules/* docs/persistent_naming/* HOWTO-udev_for_dev
%attr(0755,root,root) /sbin/cdsymlinks
%attr(0755,root,root) /sbin/udev
%attr(0755,root,root) /sbin/udevd
%attr(0755,root,root) /sbin/udev-migrating-devfs-rules.pl
%attr(0755,root,root) /sbin/udevsend
%attr(0755,root,root) /sbin/udevstart
#%attr(0755,root,root) /sbin/udev_volume_id
%attr(0755,root,root) /sbin/chassis_id
%attr(0755,root,root) /%{_bindir}/udevinfo
%attr(0755,root,root) /%{_bindir}/udevtest
%attr(0755,root,root) /sbin/scsi_id
%attr(0755,root,root) %config(noreplace) /%{_initrddir}/%{name}
%config(noreplace) /%{_sysconfdir}/%{name}/*.conf
%config(noreplace) /%{_sysconfdir}/scsi_id.config
%config(noreplace) /%{_sysconfdir}/%{name}/rules.d/*
%attr(0755,root,root) /%{_sysconfdir}/%{name}/scripts/*
%dir /%{_sysconfdir}/dev.d/dxr3
%config(noreplace) /%{_sysconfdir}/dev.d/dxr3/default.dev
%config(noreplace) /%{_sysconfdir}/dev.d/net/hotplug.dev
%config(noreplace) %attr(0755,root,root) /%{_sysconfdir}/dev.d/default/*
%config(noreplace) /%{_sysconfdir}/hotplug.d/default/*
%_mandir/man8/*


%if %use_klibc
#%files klibc
#%defattr(0644,root,root,0755)
#%doc COPYING README TODO ChangeLog
%attr(0755,root,root) /sbin/*-klibc
%endif

%changelog
* Wed Apr 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 054-6mdk 
- update source 2:
  - fix typo for visor path script (Mdk bug #15280)
  - create symlink for USB ZIP/JAZ devices to be console privilege
- Update patch 26 to call pam_console_setowner correctly

* Thu Mar 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 054-5mdk
- source 2:
  o fix DVB perms (#15117)
  o fix raid devices

* Thu Mar 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 054-4mdk
- source 7: fix redirecting error messages (#14726)

* Mon Mar 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 054-3mdk
- rename default rules from 00 to 50 in order to allow custom rules to override
  our default ones (#14446)
- do not precreate dri anymore

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 054-2mdk
- source 7: some systems need larger /dev (#14092)
- fix creation of DRI device (#14313)
- patch 31: fix dvd burners devices (#14208)
- patch 32: fix cd info parsing when there's only one device (#13700)

* Tue Mar 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 054-1mdk
- new release
- kill patch 29 (merged upstream)
- source 2, patch 30: further try to fix ZIP devices (#11663)
- source 7: do not access /var/run unless accessible (#13616)

* Thu Feb 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 053-5mdk
- source 2: fix DRI rule for card0
- source 8: precreate dri/card0 so that pam set proper permissions on login,
  even when not using a DM (aka directly running startx)

* Fri Feb 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 053-4mdk
- source 2: fix PDA devices (frederic crozat)

* Mon Feb 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 053-3mdk
- source 2: fix par0 device (#13639)

* Mon Feb 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 053-2mdk
- patch 27: fix missing cdrom0
- patch 28: generate cdrom0, cdrom1, ... instead of cdrom1, cdrom2, ...

* Sat Feb 12 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 053-1mdk
- new release
- rediff patch 4
- kill patches 24 & 25 (merged upstream)
- source 2:
  o use the new SUBSYSTEM keyword for sound permissions
  o set a few more permissons
  o fix fb permissions

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 051-2mdk
- fix the devfsd compat links for PDA (#12167)

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 051-1mdk
- new release (fix missing cdrom* links) (#13537)
- source 2:
  o merge in source 4 (permissions are dead in new udev)
  o add support for ts input devices
  o add support for aoe char devices (kernel-2.6.11+)
  o add support for ttyUSB*
  o fix missing lp links (#13027)
  o use binary cdsymlinks rather than script one (quite a lot faster)
- source 7: do not replay udev on rc.sysinit => init 5 switch

* Thu Feb 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-17mdk
- provide binary cdsymlinks for live CDs

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-16mdk
- source 7: increase firmware loading timeout from 10 up to 50 seconds,
  thus workarounding some firmware upload troubles

* Mon Feb 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-15mdk
- source 2:
  o add support for Infiniband devices (kernel-2.6.11-rc3)
  o fix support for ZIP devices (#11663) and relax test in order to support
    also IOMEGA ZIP 250

* Tue Feb 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-14mdk
- source 2, 10: switch to debian scsi helper script (real old devfs names, not
  new richard gooch devfs names with extra pci domain field and the like)
- source 7:
  o "replay" block device events on startup
  o rework scsi devfs compat names so that devfs names are linked on old names
    instead of the reverse (fix #12756)
  o switch to hotplug mode
  o fix force-reload
  o more subsys checks

* Tue Jan 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-13mdk
- source 2: generate devfs compat names for SCSI devices

* Wed Jan 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-12mdk
- source 2: workaround devices that do not report media changes (#11663)
- source 7: run pam_console_apply in restart

* Tue Jan 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-11mdk
- source 7: workaround buggy entries in /proc for already running processes
  on stop/restart (#13032):
  o do nothing on stop (force-stop do what stop did previously)
  o rerun udevsart on restart
  o force-reload does what restart used to do
- fix doble call to udev on every hotplug event (#13082)

* Mon Jan 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-10mdk
- source 2: enable DVB rules for both older and newer kernels
- source 8: precreate lp0 (#13027) and rawctl (#11511) too 
- source 9: add support for dxr3 (#12959)
- fix some rpmlint warning

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-9mdk
- source 2: update DVD rules for kernel-2.6.9+ (#12999)
- patch 26: fix PAM lock check (#12987)

* Wed Jan 12 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-8mdk
- source 2: fix /dev/video0 link (#12978)

* Tue Jan 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-7mdk
- source 7:
  o reenable udev stop|restart
  o increase tmpfs size b/c some boxes have quite a large /dev
	(b/c of the new lockless filesystem-based /dev/.udevdb/ database...)
- source 8: explain links.conf

* Tue Jan 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-6mdk
- precreate parport0 (#12544), cpu/0/cpuid, cpu/0/microcode and cpu/0/msr

* Tue Jan 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-5mdk
- move sound stuff into sound-scripts

* Mon Jan 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-4mdk
- fix startup
- do not install compressed rules

* Mon Jan 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-3mdk
- rules:
  o merge in sources 2 & 3
  o add support for Zaptel, CPU, RAID (Compacq smart array & Mylex), cpad,
    devices
  o misc rules updates
  o explain DM rules
- update permissions
- precreated devices:
  o move device list from init script into /etc/udev/links.conf (a la debian)
  o precreate loop/0 and net/tun too
- patch 24: fix the NUMBERED_LINKS=0 case (debian #288635)
- patch 25: RAID helper

* Wed Jan 05 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-2mdk
- restore ALSA mixer in background

* Thu Dec 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-1mdk
- new release
- kill patches 5 & 21 (merged into source 7)
- precreate /dev/raw1394

* Fri Nov 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 046-1mdk
- new release
- rediff patch 21
- disable parrallel build (broken for now)

* Tue Nov 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 044-3mdk
- fix udevdir

* Mon Nov 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 044-2mdk
- add udevstart-klibc link

* Mon Nov 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 044-1mdk
- new release
- rediff patch 20 and 23

* Fri Oct 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-24mdk
- source 6: quiet it (+ perl_checker cleanups)

* Fri Oct 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-23mdk
- migrate devfs rules also on first install

* Fri Oct 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-22mdk
- source 6: migrate devfs rules when updating an old udev (and not during
  install) (blino, #10860)

* Mon Oct 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-21mdk
- source 3: add pktcdvd/control entry (#11553)

* Tue Oct 04 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 030-20mdk
- fix build on x86_64

* Tue Sep 28 2004 Frederic Lepied <flepied@mandrakesoft.com> 030-19mdk
- mount /dev/pts and /dev/shm if needed

* Fri Sep 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-18mdk
- drop source 1: obsoleted by source 4
- sources 4 and 5: add support for DVB (lamikr)
- restart syslog after udev updates (else minilogd is forked and eat memory)

* Thu Sep  9 2004 Frederic Lepied <flepied@mandrakesoft.com> 030-17mdk
- activate pam support

* Wed Sep  8 2004 Frederic Lepied <flepied@mandrakesoft.com> 030-16mdk
- start at level 01
- no log by default

* Wed Sep  8 2004 Frederic Lepied <flepied@mandrakesoft.com> 030-15mdk
- fixed logic in init scripts when creating nodes

* Wed Sep 08 2004 Luca Berra <bluca@vodka.it> 030-14mdk 
- fix initscript again:
  don't create devices that already exist
  do not stop if running on /dev

* Mon Sep 06 2004 Luca Berra <bluca@vodka.it> 030-13mdk
- merge udev and udev-klibc package, only use klibc for udev and udevstart
- fix initscript if devfs found, and other minor issues
- do not conflict with devfsd

* Fri Sep  3 2004 Frederic Lepied <flepied@mandrakesoft.com> 030-12mdk
- added fd, loopd, sg, sr and st creation in init script
- start before syslog to have a correct /dev/log

* Tue Aug 31 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-11mdk
- patch 21: precreate /dev/ppp in order to enable kmod to autoload ppp
  related modules

* Fri Aug 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-10mdk
- patch 21: fix udev update (aka get proper perms after update)

* Thu Aug 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-9mdk
- add conflicts with devfsd

* Wed Aug 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-8mdk
- source 2: fix usb printers support (missing EOL)

* Wed Aug 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-7mdk
- really, really run on /dev instead of /udev even when not using
  --short-circuit

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-6mdk
- patch 21: on start, run scripts from /etc/udev/conf.d/ (so that drakx can
  drop commands there rather than devfsd rules in /etc/devfs/conf.d)

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-5mdk
- fix /dev/ptmx permissions by overwritting default perms with ours
- source 4: fix typo in comment
- patch 21: umount -l sometimes complains whereas kernel succeed a few seconds
  later; let quiet this

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-4mdk
- enhance description
- really run on /dev instead of /udev
- patch 21: run pam_console_apply on startup
- source 4: enhanced permissions (merge bits from rh & debian)
- remaining bug is lack of /dev/ptmx support in PAM

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-3mdk
- patch 21: enhanced sysv init script:
  o let's have std translated messages
  o fix stop
  o check kernel version
  o add devfsd guards
  o support lazy stop while system is still up
  o still a bug though: /proc/self/fd/ entries are bogus :-(
  o sync with debian
- source 4: extra perms
- udev service is devfsd successor capable

* Thu Jul 29 2004 Svetoslav Slavtchev <svetljo@gmx.de> 030-2mdk
- make rpmlint a bit happier
- dbus support was dropped: cleanup the spec

* Thu Jul 29 2004 Svetoslav Slavtchev <svetljo@gmx.de> 030-1mdk
- update to udev-030
- disable loging for klibc binaries
- dont build/install udevinfo-klibc
- add some new docs

* Thu Jul 29 2004 Svetoslav Slavtchev <svetljo@gmx.de> 027-5mdk
- build chassis_id and udev_volume_id too
- add scsi-devfs and start_udev scripts
- add /etc/dev.d/default and /etc/sysconfig/udev

* Thu Jul 29 2004 Svetoslav Slavtchev <svetljo@gmx.de> 027-4mdk
- fix hotplug script
- reenable klibc binaries and split them in different package

* Thu Jul 29 2004 Svetoslav Slavtchev <svetljo@gmx.de> 027-3mdk
- fix configuration files
- add some new rules

* Wed Jun 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 027-2mdk
- only make udev files writable

* Tue Jun 22 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 027-1mdk
- new release
- fix --short-circuit
- kill patch 1, 2 and 11 since /etc/udev/rules.d/ replaced /etc/udev/conf.d
- kill patch 3, 6 and 21 (merged upstream)
- redo patch 4, 5

* Thu Feb 12 2004 Frederic Lepied <flepied@mandrakesoft.com> 013-4mdk
- don't build with klibc/dbus by default
- subsys support in service

* Mon Jan 19 2004 Svetoslav Slavtchev <svetljo@gmx.de> 013-3mdk
- patch 11: support for multiple configuration files (Andrej)
- better init script (Andrej)
- scsi_id-0.3
- add --with/--without klibc, dbus
- add some new devfs symlinks
- split udev.rules in devfs & lsb
- some more Makefile's tweaks

* Mon Jan 19 2004 Olivier Blin <blino@mandrake.org> 013-2mdk
- restore some executable perms

* Wed Jan 14 2004 Svetoslav Slavtchev <svetljo@gmx.de> 013-1mdk
- 013
- build klibc binary for initrd (udev-klibc)
  and glibc dynamic binary (udev)
- include scsi_id 
- better devfs like rules
- udev uses the udev.rules.devfs by default
- some tweaks to udev.permissions
- patch 4: tweak ide-devfs.sh to create all
  the symlinks devfs creates
- add core, fd/*, stdin, stdout, stderr support 
  to init script (stolen from the debian one)
- use dbus, now that we have it 
- From Olivier Blin <blino@mandrake.org> :
    - remove explicit dependency on libdbus package
    - fix BuildRequires (dbus-devel, libsysfs-devel)
    - define %%kernel_rel and %%kernel_dir
    - fix perms in %%files

* Mon Jan 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 012-1mdk
- new release

* Mon Dec 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 011-1mdk
- new release

* Wed Dec 17 2003 Nicolas Planel <nplanel@mandrakesoft.com> 009-1mdk
- 009.

* Wed Dec 10 2003 Nicolas Planel <nplanel@mandrakesoft.com> 008-1mdk
- 008.

* Fri Nov 28 2003 G�z Waschk <waschk@linux-mandrake.com> 007-2mdk
- buildrequires glibc-static-devel

* Tue Nov 25 2003 Nicolas Planel <nplanel@mandrakesoft.com> 007-1mdk
- 007.

* Wed Nov 19 2003 Nicolas Planel <nplanel@mandrakesoft.com> 006-1mdk
- First version for MandrakeSoft.
